/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include "FD_Detector_FD_Check.h"
#include "FD_Detector_defs.h"

void FD_Detector_Init(void)
{
    // Use fifos in single buffer mode, not fifo mode.
    FD_Detector_DP_F0_SINGLE_BUFFER_SET;
    FD_Detector_DP_F1_SINGLE_BUFFER_SET;    
    FD_Detector_DP_DLC_F0_SINGLE_BUFFER_SET;
    FD_Detector_DP_DLC_F1_SINGLE_BUFFER_SET;

    CY_SET_REG8(FD_Detector_DP_F0_PTR,12); // FDF bit position in a base message
    CY_SET_REG8(FD_Detector_DP_F1_PTR,18); // FDF bit position after IDE bit in extended ID message
    
    CY_SET_REG8(FD_Detector_DP_DLC_F0_PTR,0x10); // Constant for the data length calculation
    CY_SET_REG8(FD_Detector_DP_DLC_F1_PTR,0x04); // Constant for the data length calculation
}

/* [] END OF FILE */
